Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154999 - up2date won't run at all.
Summary: up2date won't run at all.
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date
Version: 3
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 15:10 UTC by Wilson Drake
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-29 15:07:55 UTC


Attachments (Terms of Use)

Description Wilson Drake 2005-04-15 15:10:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
When trying to run up2date, it terminates itself with errors.

Version-Release number of selected component (if applicable):
up2date-4.3.69-1_8.rhfc3.at
up2date-4.3.69-1_8.rhfc3.at up2date-gnome-4.3.69-1_8.rhfc3.at

How reproducible:
Always

Steps to Reproduce:
1. up2date
2.
3.
  

Actual Results:  [root@Snoopy wdrake]# up2date

(up2date:2678): libglade-WARNING **: could not find `gnome' init function: `glade_module_register_widgets': /usr/lib/libgnome.so: undefined symbol: glade_module_register_widgets

(up2date:2678): libglade-WARNING **: unknown property `position' for class `GnomeDruidPageEdge'

(up2date:2678): libglade-WARNING **: unknown property `title' for class `GnomeDruidPageEdge'

(up2date:2678): libglade-WARNING **: unknown property `text' for class `GnomeDruidPageEdge'

(up2date:2678): libglade-WARNING **: unknown property `title_color' for class `GnomeDruidPageEdge'

(up2date:2678): libglade-WARNING **: unknown property `text_color' for class `GnomeDruidPageEdge'

(up2date:2678): libglade-WARNING **: unknown property `background_color' for class `GnomeDruidPageEdge'

(up2date:2678): libglade-WARNING **: unknown property `logo_background_color' for class `GnomeDruidPageEdge'

(up2date:2678): libglade-WARNING **: unknown property `textbox_color' for class `GnomeDruidPageEdge'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find a parent that handles internal children for `vbox'

(up2date:2678): libglade-WARNING **: could not find `gnome' init function: `glade_module_register_widgets': /usr/lib/libgnome.so: undefined symbol: glade_module_register_widgets

(up2date:2678): libglade-WARNING **: could not find `gnome' init function: `glade_module_register_widgets': /usr/lib/libgnome.so: undefined symbol: glade_module_register_widgets

(up2date:2678): libglade-WARNING **: could not find `gnome' init function: `glade_module_register_widgets': /usr/lib/libgnome.so: undefined symbol: glade_module_register_widgets
Reading DMI info failed

(up2date:2678): libglade-WARNING **: could not find `gnome' init function: `glade_module_register_widgets': /usr/lib/libgnome.so: undefined symbol: glade_module_register_widgets
/usr/share/rhn/up2date_client/checklist.py:21: DeprecationWarning: use gtk.TreeView
  gtk.CList.__init__ (self, columns+1)
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1245, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 891, in main
    gui.main()
  File "/usr/share/rhn/up2date_client/gui.py", line 2282, in main
    gui = Gui()
  File "/usr/share/rhn/up2date_client/gui.py", line 190, in __init__
    self.setupSkippedList()
  File "/usr/share/rhn/up2date_client/gui.py", line 315, in setupSkippedList
    window.add(self.skippedArea)
AttributeError: 'NoneType' object has no attribute 'add'

[root@Snoopy wdrake]#


Expected Results:  Should have gotten a window to see what packages needed to be updated.

Additional info:

Comment 1 Matthew Miller 2006-07-10 22:45:42 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 John Thacker 2006-10-29 15:07:55 UTC
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.


Note You need to log in before you can comment on or make changes to this bug.